Bug 141346 - qmkbootdisk fails without adequate error reporting
qmkbootdisk fails without adequate error reporting
Product: Fedora
Classification: Fedora
Component: qmkbootdisk (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 11:21 EST by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-09 11:01:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2004-11-30 11:21:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Tried FC2 qmkbootdisk-1.0.1-12.  Fails to make a working boot disk (as
might be expected due to size of kernel) but does not generate obvious
warning of failure.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run qmkbootdisk as root from konsole.
2. Run qmkbootdisk from KDE menu as a user.

Actual Results:  Runs with output to the terminal when run from the
command line as root, but writes the disk anyway:

# qmkbootdisk
cp: writing `/tmp/mkbootdisk.m20429/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
20+0 records in
20+0 records out

When run from the KDE menu, allows user to select output device and
kernel version, immediately goes to 100% and terminates, without
prompting for root password, with no error.

Expected Results:  Should warn the user that the kernel is too big for
the output device in a GUI window, and should request root password if
required.  [An option to generate an ISO image would be useful, as
mkbootdisk can do that, but that's an RFE.]

Additional info:
If not fixed, this component should be removed.  The naive user could
believe [s]he has generated a boot disk when none was produced.
Comment 1 Matthew Miller 2005-04-26 11:04:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Phil Schaffner 2005-11-09 11:01:31 EST
As qmkbootdisk seems to have disappeared from Fedora, NOTABUG seems to be the
appropriate status.

Note You need to log in before you can comment on or make changes to this bug.